import React from 'react'
import PropTypes from 'prop-types'

const RouteTile = ({stops, url}) => (
  stops.length == 0 ?
  <div>
      <input type="text" />
      <input type="button" value="+" />
  </div>
  :
  <div>
    { url === undefined && <input type="button" value="-" /> }
    { url === undefined && <input type="button" value="&#x1F589;" /> }
    { url !== undefined && <div className="url">{url}</div> }
    <ul>
      {stops.map((stop, i) => (
        <li key={i}>{stop}</li>
      ))}
    </ul>
  </div>
)

RouteTile.propTypes = {
  stops: PropTypes.arrayOf(PropTypes.string).isRequired,
  url: PropTypes.string
}

export default RouteTile
